# Disentangling Causal Effects from Sets of Interventions in the Presence of Unobserved Confounders
Source code for our paper "Disentangling Causal Effects from Sets of Interventions in the Presence of Unobserved Confounders" published at NeurIPS 2022.

## Acknowledgments
This work was inspired by "Learning Joint Nonlinear Effects from Single-variable Interventions in the Presence of Hidden Confounders" by Sorawit Saengkyongam and Ricardo Silva, published at UAI 2020.
It draws from the code found in their [original repository](https://github.com/sorawitj/joint_interventional_effects).

## Reproducibility
Our experiments can be found in `Experiments.ipynb`.
To run it, first run the `jupyter notebook` command, and execute the notebook in the console.

Alternatively, run it on [Google Colaboratory](https://colab.research.google.com/github/olivierjeunen/disentangling-neurips-2022/blob/main/Experiments.ipynb).

## Paper
If you use our code in your research, please remember to cite our paper:

```BibTeX
    @inproceedings{Jeunen2022_NeurIPS,
      author = {Jeunen, Olivier and Gilligan-Lee, Ciarán M. and Mehrotra, Rishabh and Lalmas, Mounia},
      title = {Disentangling Causal Effects from Sets of Interventions in the Presence of Unobserved Confounders},
      booktitle = {36th Conference on Neural Information Processing Systems},
      series = {NeurIPS '22},
      year = {2022}
    }
```
